org.apache.sling.jcr.jackrabbit.server.impl.security

## Class CallbackHandlerWrapper

- java.lang.Object
- - org.apache.sling.jcr.jackrabbit.server.impl.security.CallbackHandlerWrapper

All Implemented Interfaces:
  CallbackHandler

    public class CallbackHandlerWrapper
    extends Object
    implements CallbackHandler

### Constructor Summary

Constructors
Constructor and Description
`CallbackHandlerWrapper(Subject subject, CallbackHandler callbackHandler)`

### Method Summary

Methods
`void` `handle(Callback[] callbacks)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CallbackHandlerWrapper

    public CallbackHandlerWrapper(Subject subject,
                          CallbackHandler callbackHandler)

Parameters:
  `callbackHandler` -

### Method Detail

#### handle

    public void handle(Callback[] callbacks)
                throws IOException,
                       UnsupportedCallbackException

Specified by:
  `handle` in interface `CallbackHandler`
Throws:
  `IOException`
  `UnsupportedCallbackException`
See Also:
  `CallbackHandler.handle(javax.security.auth.callback.Callback[])`